org.kie.api.runtime.manager.audit

## Interface NodeInstanceLog

-     public interface NodeInstanceLog

  Audit view of node instance where each node instance (in most of the cases) will have two entries:
  - when node instance was triggered
  - when node instance was left - completed

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_ENTER` Indicates that node instance was triggered
    `static int` | `TYPE_EXIT` Indicates that node instance was left (it's no more active)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnection()` Incoming or outgoing connection identifier (sequence flow) for given node.
    `Date` | `getDate()` Date on when this node was triggered
    `String` | `getExternalId()` External (optional) identifier associated with this process instance
    `String` | `getNodeId()` Identifier of the node which usually is the unique identifier from process definition, but can be unique identifier assigned by the engine when unique id is not available
    `String` | `getNodeInstanceId()` Unique identifier of the node instance
    `String` | `getNodeName()` Name of the node from process definition
    `String` | `getNodeType()` Node type that indicates what sort of activity it was e.g.
    `String` | `getProcessId()` Process id of the definition
    `Long` | `getProcessInstanceId()` Process instance identifier
    `Integer` | `getType()` Type of the node instance log entry - Entry or Exit
    `Long` | `getWorkItemId()` Identifier of work item that this node refers to, might be null if it's not work item based node

- - ### Field Detail

    - #### TYPE_ENTER

          static final int TYPE_ENTER

      Indicates that node instance was triggered
      See Also:
        Constant Field Values

    - #### TYPE_EXIT

          static final int TYPE_EXIT

      Indicates that node instance was left (it's no more active)
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getProcessInstanceId

          Long getProcessInstanceId()

      Process instance identifier
      Returns:

    - #### getProcessId

          String getProcessId()

      Process id of the definition
      Returns:

    - #### getNodeInstanceId

          String getNodeInstanceId()

      Unique identifier of the node instance
      Returns:

    - #### getNodeId

          String getNodeId()

      Identifier of the node which usually is the unique identifier from process definition, but can be unique identifier assigned by the engine when unique id is not available
      Returns:

    - #### getNodeName

          String getNodeName()

      Name of the node from process definition
      Returns:

    - #### getDate

          Date getDate()

      Date on when this node was triggered
      Returns:

    - #### getWorkItemId

          Long getWorkItemId()

      Identifier of work item that this node refers to, might be null if it's not work item based node
      Returns:

    - #### getConnection

          String getConnection()

      Incoming or outgoing connection identifier (sequence flow) for given node. Incoming or outgoing depends on the type of the node instance log entry where
      - entry type will contain incoming sequence flow
      - exit type will contain outgoing sequence flow
      Returns:
      See Also:
        `getType()`

    - #### getExternalId

          String getExternalId()

      External (optional) identifier associated with this process instance
      Returns:

    - #### getNodeType

          String getNodeType()

      Node type that indicates what sort of activity it was e.g. Human Task, Script Task, etc
      Returns:

    - #### getType

          Integer getType()

      Type of the node instance log entry - Entry or Exit
      Returns:
      See Also:
        `TYPE_ENTER`, `TYPE_EXIT`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.